angular.module('focaModalInformeChofer')
    .factory('focaModalInformeChoferService', [
        '$http',
        'API_ENDPOINT',
        function($http, API_ENDPOINT) {
            return {
                getDescargas: function(fechaDesde, fechaHasta) {
                    return $http.post(API_ENDPOINT.URL + '/informe/chofer',
                        {fechaDesde: fechaDesde, fechaHasta: fechaHasta});
                },
                getEmpresa: function(id) {
                    return $http.get(API_ENDPOINT.URL + '/empresa/' + id);
                },
                getDistanciaPorIdRemito: function(ids) {
                    return $http.post(API_ENDPOINT.URL + '/remito/distancia', {ids: ids});
                }
            };
        }
    ]);
